View Issue Details

IDProjectCategoryView StatusLast Update
09425Bug reports[All Projects] Print Viewpublic2016-08-17 16:34
ReporteraestebanAssigned Toaesteban 
PrioritynormalSeverityminor 
Status assignedResolutionreopened 
Product Version2.05+ 
Target Version2.05+Fixed in Version 
Summary09425: Absence of delimeter at the end of a question group
Description

After click on "Print answers", user can see all their answers. Matrix question is a section in the answer table and its question text is a section title in the html file. The problem is there is no way to see when the pairs row/column are finished and next question starts (see screenshot attached). This is confusing.

There is the same problem in answers PDF export.

Additional Information

I propose removing the text of the matrix question as title and make it part of every row. This is the way it is done currently when exporting answers to PDF from admin gui.

TagsNo tags attached.
Complete LimeSurvey version number (& build)6241aa3a9426a9081a8e2aa30ab9
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database & DB-VersionPostgresql 9.1
Server OS (if known)Debian Wheezy
Webserver software & version (if known)Nginx 1.4.6
PHP Version5.5.9

Activities

aesteban

aesteban

2014-12-27 13:01

developer  

aesteban

aesteban

2014-12-27 14:46

developer   ~31353

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=14796

aesteban

aesteban

2014-12-27 15:50

developer   ~31356

Fix committed to 2.06 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=14799

c_schmitz

c_schmitz

2014-12-29 15:33

administrator   ~31367

Version 2.05 Build 141229 released

DenisChenu

DenisChenu

2015-01-10 16:04

developer   ~31449

Before, with Array question type and Multi checkbox, we have, with {ANSWERTABLE}

Q1
[Sub question #1] dsqsd
[Sub question #2] qsdq
[Sub question #3] sqdqsd
[Sub question #4] dqsd

Now, we have:
Q1
Q1 [Sub question #1] dsqsd
Q1 [Sub question #2] qsdq
Q1 [Sub question #3] sqdqsd
Q1 [Sub question #4] dqsd

In PDF:
Before
Q1
Sub question #1 dsqsd
Sub question #2 qsdq
Sub question #3 sqdqsd
Sub question #4 dqsd

Now
Q1 [Sub question #2] qsdq
Q1 [Sub question #3] sqdqsd
Q1 [Sub question #4] dqsd

I really think 2.00 system is better.

Something like that
headgroup: Title of group
questionsinglehead : Text of question
Answer of single
questionmultihead : Text of question
subquestionmultihead1 : Text of sub question1
Answer of multi 1
subquestionmultihead2 : Text of sub question2
Answer of multi 2

etc ....

aesteban

aesteban

2015-01-11 13:20

developer   ~31450

Do you think previous method is better for specific types of questions or for all of them? For HTML, PDF or both of them? What do you propose to solve the problem I describe in first comment of this thread? There is no mark of the end of a multi answer question (for example a matrix).

DenisChenu

DenisChenu

2015-01-11 14:54

developer   ~31451

Last edited: 2015-01-11 14:55

View 2 revisions

We have it 3 times (we use same fuction 3 times). We have to have a better mockup for the 3.

Actually, i don't like to see X times the same question for Array, i think a global header is better.

Something more near HTML for survey
Single choice question:
< question >The question< endquestion >
< answer >The answer< endanswer >

Multichoice question
< question >The question< endquestion >
< answer >

  • Sub question one : Answer 1
  • Sub question two : Answer 2
    < endanswer >

(Have to mockup the 3 before update, but still : see X times the same text seems very unproductive).

DenisChenu

DenisChenu

2015-01-12 16:49

developer   ~31456

Last edited: 2015-01-12 16:53

View 3 revisions

@aesteban : first mackup : only for print part : using thead/th . No style inside but:
thead th > group title
tbody th : question text

.printanswersquestion
.printanswerssubquestion
.printanswersanswertext
Used for previous template, but maybe register a ligth css can be done

DenisChenu

DenisChenu

2015-01-12 16:50

developer  

DenisChenu

DenisChenu

2015-01-12 16:51

developer  

Multiple.html (2,542 bytes)
DenisChenu

DenisChenu

2015-06-24 18:20

developer   ~32506

Hi aesteban,

For information : tcpdf accept a css file included , i use
$sCssContent=file_get_contents(dirname(FILE).'/base.css');
$sText="<style>\n{$sCssContent}\n</style>\n$sText\n";
$oPDF->writeHTML($sText, true, false, true, false, '');

All my text is in $sText, but maybe we can add this.

Include a "default css style", replace if printpdf.css exist in template and include in writeHtml.

:)

c_schmitz

c_schmitz

2016-08-17 16:34

administrator   ~40325

Updated TCPDF to latest version.

Related Changesets

LimeSurvey: master c4f083ed

2014-12-27 13:42:53

aesteban

Details Diff
Fixed issue 09425: Absence of delimeter at the end of a question group Affected Issues
09425
mod - application/controllers/PrintanswersController.php Diff File
mod - application/helpers/admin/export/PdfWriter.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/libraries/admin/pdf.php Diff File

LimeSurvey: 2.06 2844d97b

2014-12-27 13:42:53

aesteban

Details Diff
Fixed issue 09425: Absence of delimeter at the end of a question group Affected Issues
09425
mod - application/controllers/PrintanswersController.php Diff File
mod - application/helpers/admin/export/PdfWriter.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/libraries/admin/pdf.php Diff File

Issue History

Date Modified Username Field Change
2014-12-27 13:01 aesteban New Issue
2014-12-27 13:01 aesteban Status new => assigned
2014-12-27 13:01 aesteban Assigned To => aesteban
2014-12-27 13:01 aesteban File Added: question-group-problem.png
2014-12-27 13:02 aesteban Summary Absence of separator at the end of a question group => Absence of delimeter at the end of a question group
2014-12-27 13:25 aesteban Category Survey taking => Print View
2014-12-27 14:46 aesteban Changeset attached => LimeSurvey master c4f083ed
2014-12-27 14:46 aesteban Note Added: 31353
2014-12-27 14:46 aesteban Resolution open => fixed
2014-12-27 15:50 aesteban Changeset attached => LimeSurvey 2.06 2844d97b
2014-12-27 15:50 aesteban Note Added: 31356
2014-12-27 15:52 aesteban Status assigned => resolved
2014-12-29 15:33 c_schmitz Note Added: 31367
2014-12-29 15:33 c_schmitz Status resolved => closed
2015-01-10 16:04 DenisChenu Note Added: 31449
2015-01-10 16:04 DenisChenu Status closed => feedback
2015-01-10 16:04 DenisChenu Resolution fixed => reopened
2015-01-11 13:20 aesteban Note Added: 31450
2015-01-11 13:20 aesteban Status feedback => assigned
2015-01-11 14:54 DenisChenu Note Added: 31451
2015-01-11 14:55 DenisChenu Note Edited: 31451 View Revisions
2015-01-12 16:49 DenisChenu Note Added: 31456
2015-01-12 16:50 DenisChenu File Added: Multiple.html
2015-01-12 16:50 DenisChenu File Added: Capture du 2015-01-12 16:49:45.png
2015-01-12 16:51 DenisChenu File Deleted: Multiple.html
2015-01-12 16:51 DenisChenu File Added: Multiple.html
2015-01-12 16:53 DenisChenu Note Edited: 31456 View Revisions
2015-01-12 16:53 DenisChenu Note Edited: 31456 View Revisions
2015-06-24 18:20 DenisChenu Note Added: 32506
2016-08-17 16:34 c_schmitz Note Added: 40325